#!/bin/bash
set -euf -o pipefail
shopt -s inherit_errexit

: "${CUSTOM_ENV_AUTH_USER:?"AUTH_USER CI/CD variable has not been set."}"
: "${CUSTOM_ENV_CI_CONCURRENT_PROJECT_ID:?"CI_CONCURRENT_PROJECT_ID CI/CD variable has not been set."}"

AUTH_USER_WORK=$(runuser --login "$CUSTOM_ENV_AUTH_USER" --command "echo \$WORK")

cat << EOS
{

  "builds_dir": "$AUTH_USER_WORK/gitlab-runner/builds/$CUSTOM_ENV_CI_CONCURRENT_PROJECT_ID",
  "cache_dir": "$AUTH_USER_WORK/gitlab-runner/cache",
  "builds_dir_is_shared": false,
  "driver": {
    "name": "Testserver Cx"
  }
}
EOS

